[arch-commits] Commit in desktop-file-utils/trunk (3 files)

Alexander Fehr alexanderf at archlinux.org
Thu Jul 24 08:43:02 EDT 2008


    Date: Thursday, July 24, 2008 @ 08:43:02
  Author: alexanderf
Revision: 6463

upgpkg: desktop-file-utils 0.15-1

Added:
  desktop-file-utils/trunk/ChangeLog
Modified:
  desktop-file-utils/trunk/PKGBUILD
Deleted:
  desktop-file-utils/trunk/searchpath.patch

------------------+
 ChangeLog        |    7 +++++++
 PKGBUILD         |   22 +++++++++++-----------
 searchpath.patch |   16 ----------------
 3 files changed, 18 insertions(+), 27 deletions(-)

Added: ChangeLog
===================================================================
--- ChangeLog	                        (rev 0)
+++ ChangeLog	2008-07-24 12:43:02 UTC (rev 6463)
@@ -0,0 +1,7 @@
+2008-07-22  Alexander Fehr  <pizzapunk gmail com>
+
+  * desktop-file-utils-0.15-1:
+  New upstream release.
+  New maintainer.
+  Changed url.
+  Added ChangeLog.

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-24 12:30:11 UTC (rev 6462)
+++ PKGBUILD	2008-07-24 12:43:02 UTC (rev 6463)
@@ -1,20 +1,20 @@
 # $Id$
-# Maintainer: Jan de Groot <jgc at archlinux.org>
+# Maintainer: Alexander Fehr <pizzapunk gmail com>
+
 pkgname=desktop-file-utils
-pkgver=0.14
+pkgver=0.15
 pkgrel=1
-pkgdesc="Freedesktop.org .desktop utils"
-arch=(i686 x86_64)
+pkgdesc="Command line utilities for working with desktop entries"
+arch=('i686' 'x86_64')
+url="http://www.freedesktop.org/wiki/Software/desktop-file-utils"
 license=('GPL')
 depends=('glib2')
-url="http://freedesktop.org/software/desktop-file-utils"
-source=($url/releases/${pkgname}-${pkgver}.tar.gz)
-md5sums=('e0b5057a4e3166f34635ac6f27c712c0')
+source=(http://www.freedesktop.org/software/desktop-file-utils/releases/desktop-file-utils-$pkgver.tar.gz)
+md5sums=('2fe8ebe222fc33cd4a959415495b7eed')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr --sysconfdir=/etc
+  cd "$srcdir/desktop-file-utils-$pkgver"
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR="$pkgdir" install || return 1
 }
-

Deleted: searchpath.patch
===================================================================
--- searchpath.patch	2008-07-24 12:30:11 UTC (rev 6462)
+++ searchpath.patch	2008-07-24 12:43:02 UTC (rev 6463)
@@ -1,16 +0,0 @@
-===================================================================
-RCS file: /srv/anoncvs.freedesktop.org/cvs/menus/desktop-file-utils/src/update-desktop-database.c,v
-retrieving revision 1.6
-retrieving revision 1.7
-diff -u -r1.6 -r1.7
---- src/update-desktop-database.c	2004/09/08 15:43:14	1.6
-+++ src/update-desktop-database.c	2005/01/10 00:43:48	1.7
-@@ -449,6 +449,8 @@
-   for (i = 0; data_dirs[i] != NULL; i++)
-     args[i] = g_build_filename (data_dirs[i], "applications", NULL);
- 
-+  args[i] = NULL;
-+
-   g_strfreev (data_dirs);
- 
-   return (const char **) args;





More information about the arch-commits mailing list